#!/bin/sh
# Rene GARCIA (rene@margar.fr)
# Script executed on ups event

DOMAIN="`hostname -d`"
FROM="`hostname -s`@${DOMAIN} (ESXi)"
HOSTNAME="`hostname`"
MESSAGE="$1"
DATE="`date +"%d/%m/%Y a %k:%M:%S %Z"`"

(
  echo "From: ${FROM}"
  echo "To: Admin <root@${DOMAIN}>"
  echo "Subject: Onduleur ${NOTIFYTYPE}"
  echo ""
  echo "Evennement onduleur sur ${HOSTNAME} le ${DATE} : ${MESSAGE}"
) | \
/usr/bin/smtpblast -f "${FROM}" -t root@${DOMAIN}

exit 0
